Bug 125150 - system-config-network has problems with large /etc/hosts files
system-config-network has problems with large /etc/hosts files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 01:36 EDT by Laszlo V.
Modified: 2009-07-14 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output (3.55 KB, text/plain)
2004-06-15 10:26 EDT, Laszlo V.
no flags Details

  None (edit)
Description Laszlo V. 2004-06-03 01:36:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)
Gecko/20040601 Firefox/0.8.0+

Description of problem:
system-config-network becomes unresponsive when I try saving changes
made to the profile. After force quitting the GUI the process stays up
and consumes 100% CPU time.

Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-network
2. Change any values in the DNS tab
3. Choose File -> Save
    

Actual Results:  The changes are not saved. Process consumes 100% CPU
time and hangs.

Expected Results:  The profile is saved.

Additional info:
Comment 1 Harald Hoyer 2004-06-03 04:42:18 EDT
ughh.. never heard of that.. I'll try to reproduce...
Comment 2 Laszlo V. 2004-06-03 11:24:10 EDT
Is there anything I can do to provide more information regarding the
bug, such as logs? I'm new to using bugzilla and bug reporting in
particular.
Comment 3 Harald Hoyer 2004-06-03 11:56:57 EDT
well, try to start it from a shell:

$ su -
password:

# system-config-network

maybe, s.th. is printed on the terminal, which can give us more
information what's going on.
Comment 4 Laszlo V. 2004-06-03 12:20:08 EDT
Nothing else was printed. After the GUI became unresponsive, I hit
Ctrl + C in the terminal which brought up the "Force quit" dialog.
Then I got dumped back into the terminal.

I'm running a fully up-to-date, clean install of FC2 with all stock RPMs.
Comment 5 Harald Hoyer 2004-06-15 08:39:26 EDT
ok, please call:

# system-config-network-gui -vvvvvvvv -ddddddd
Comment 6 Laszlo V. 2004-06-15 10:26:27 EDT
Created attachment 101149 [details]
Console output
Comment 7 Laszlo V. 2004-06-15 10:29:08 EDT
That did it.

Looks like system-config-network-gui cannot handle large /etc/hosts
files (like mine, 531 KB) too well. Everything went fine until it
tried adding every entry in /etc/hosts to
/etc/sysconfig/networking/profiles/default/hosts, at a rate of about 4
per second. With a file that large, that's going to take a long time,
hence the unresponsiveness.

See console output above (khmmm).
Comment 8 Matthew Miller 2005-04-26 11:03:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Scott R. Godin 2006-06-29 13:25:03 EDT
confirm bug still exists in FC5 

and I quote: "Every time"
Comment 10 Knut J BJuland 2007-03-30 07:15:45 EDT
It still exists in latest rawhide.
Component: system-config-network
Version: 1.3.96
Summary: TBa9c752cb ConfPAP.py:85:initvars:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
747, in on_applyButton_clicked
    self.save()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
346, in save
    self.saveDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
366, in saveDevices
    devicelist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 189,
in save
    papconf = getPAPConf()
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 296,
in getPAPConf
    DVpapconf = ConfPAP.ConfPAP(netconfpkg.ROOT + PAPFILE)
  File "/usr/lib/python2.5/site-packages/rhpl/ConfPAP.py", line 32, in __init__
    Conf.Conf.__init__(self, filename, '#', ' \t', ' \t')
  File "/usr/lib/python2.5/site-packages/rhpl/Conf.py", line 199, in __init__
    self.read()
  File "/usr/lib/python2.5/site-packages/rhpl/ConfPAP.py", line 37, in read
    self.initvars()
  File "/usr/lib/python2.5/site-packages/rhpl/ConfPAP.py", line 85, in initvars
    self.vars[var[0]][var[1]] = var[2]
IndexError: list index out of range

Local variables in innermost frame:
var:
['\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00']
self: <rhpl.ConfPAP.ConfPAP instance at 0x9bde30c>
Comment 11 Harald Hoyer 2007-03-30 08:39:23 EDT
Knut, check /etc/ppp/pap.conf and /etc/ppp/chap.conf .. seems like they are 
corrupted.
Comment 12 Michael 2007-05-09 01:12:04 EDT
heres my dump from this crash

Component: system-config-network
Version: 1.3.95
Summary: TB94e1a8fa sharedtcpip.py:176:route_update:TypeError: sequence item 
not a string or unicode object

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/sharedtcpip.py", line 
284, in on_routeAddButton_clicked
    route_update(xml, device)
  File "/usr/share/system-config-network/netconfpkg/gui/sharedtcpip.py", line 
176, in route_update
    clist.append([route.Address, route.Netmask, route.Gateway])
TypeError: sequence item not a string or unicode object

Local variables in innermost frame:
device: Device.AutoDNS=true
Device.HardwareAddress=00:00:6c:ea:be:6d
Device.Type=Ethernet
Device.IPv6Init=false
Device.StaticRoutes.1.Gateway=['139.80.225.1']
Device.StaticRoutes.1.Netmask=['255.255.255.0']
Device.StaticRoutes.1.Address=['139.80.64.1']
Device.Netmask=
Device.BootProto=dhcp
Device.Device=eth0
Device.OnBoot=true
Device.IP=
Device.OnParent=false
Device.DeviceId=eth0
Device.AllowUser=false
Device.Gateway=

xml: <glade.XML object (PyGladeXML) at 0x2aaab5097550>
route: Route.Gateway=['139.80.225.1']
Route.Netmask=['255.255.255.0']
Route.Address=['139.80.64.1']

clist: <gtk.CList object (GtkCList) at 0x2aaab50995a0>
Comment 13 Michael 2007-05-09 01:13:54 EDT
thats in fc6
Comment 14 Harald Hoyer 2007-05-29 06:21:37 EDT
Michael, see bug #216994
Comment 15 Jiri Moskovcak 2008-01-31 10:16:55 EST
Hosts and pap|chap file handling is fixed in latest devel version.
Comment 16 Jim Bradbury 2008-03-31 00:07:54 EDT
system-config-network crashed on save after trying to add wireless connection on 
hp laptop dv9715nr, 4GB Ram, ]$ uname -a
Linux turion 2.6.25-0.172.rc7.git4.fc9.x86_64 #1 SMP Fri Mar 28 21:07:54 EDT
2008 x86_64 x86_64 x86_64 GNU/Linux
Crash dump:
Component: system-config-network
Version: 1.5.3
Summary: TBe93ef273 Conf.py:998:__setitem__:TypeError: coercing to Unicode: need
string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
831, in on_applyButton_clicked
    self.save()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
392, in save
    self.saveHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
420, in saveHardware
    hardwarelist.save()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
700, in save
    hw.save()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCHWEthernet.py",
line 44, in save
    modules[self.Name] = dic
  File "/usr/share/system-config-network/netconfpkg/conf/Conf.py", line 998, in
__setitem__
    replace = key + ' ' + varname + ' ' + endofline
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
findexp: ^[      ]*alias[        ]+eth0[         ]+
missing: 1
varname: eth0
self: <netconfpkg.NCHardwareList.MyConfModules instance at 0x7fe0481b42d8>
value: {'alias': None}
place: 0
key: alias
endofline: None


Comment 17 Harald Hoyer 2008-03-31 05:31:41 EDT
(In reply to comment #16)
> system-config-network crashed on save after trying to add wireless connection on 
> hp laptop dv9715nr, 4GB Ram, ]$ uname -a
> Linux turion 2.6.25-0.172.rc7.git4.fc9.x86_64 #1 SMP Fri Mar 28 21:07:54 EDT
> 2008 x86_64 x86_64 x86_64 GNU/Linux
> Crash dump:
> Component: system-config-network
> Version: 1.5.3
> Summary: TBe93ef273 Conf.py:998:__setitem__:TypeError: coercing to Unicode: need
> string or buffer, NoneType found
> 
> Traceback (most recent call last):
>   File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
> 831, in on_applyButton_clicked
>     self.save()
>   File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
> 392, in save
>     self.saveHardware()
>   File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
> 420, in saveHardware
>     hardwarelist.save()
>   File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
> 700, in save
>     hw.save()
>   File "/usr/share/system-config-network/netconfpkg/plugins/NCHWEthernet.py",
> line 44, in save
>     modules[self.Name] = dic
>   File "/usr/share/system-config-network/netconfpkg/conf/Conf.py", line 998, in
> __setitem__
>     replace = key + ' ' + varname + ' ' + endofline
> TypeError: coercing to Unicode: need string or buffer, NoneType found
> 
> Local variables in innermost frame:
> findexp: ^[      ]*alias[        ]+eth0[         ]+
> missing: 1
> varname: eth0
> self: <netconfpkg.NCHardwareList.MyConfModules instance at 0x7fe0481b42d8>
> value: {'alias': None}
> place: 0
> key: alias
> endofline: None
> 
> 
> 

bug #439718
Comment 18 Bug Zapper 2008-05-13 21:56:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-06-09 17:58:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-07-14 12:57:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.